package jp.co.intra_mart.cookbook.im_cookbook_111849;

import jp.co.intra_mart.foundation.context.Contexts;
import jp.co.intra_mart.foundation.context.model.AccountContext;
import jp.co.intra_mart.foundation.job_scheduler.Job;
import jp.co.intra_mart.foundation.job_scheduler.JobResult;
import jp.co.intra_mart.foundation.job_scheduler.JobSchedulerContext;
import jp.co.intra_mart.foundation.job_scheduler.exception.JobExecuteException;

public class JavaJob implements Job {

    public JavaJob() {
    }

    public JobResult execute() throws JobExecuteException {
    	
    	
        	// AccountContext
        	final AccountContext accountContext = Contexts.get(AccountContext.class);
        	
            // To get the tenantID
            final String tenantid = accountContext.getTenantId();
            // To view the tenantID
            System.err.println(tenantid);

            // To get the userCode
            final String userCd = accountContext.getUserCd();
            // To view the userCode
            System.err.println(userCd);
            
            
            // JobSchedulerContext
            final JobSchedulerContext jobSchedulerContext = Contexts.get(JobSchedulerContext.class);
            
            // To get the jobID
            final String jobid = jobSchedulerContext.getJobDetail().getId();
            // To view the jobID
            System.err.println(jobid);

            // To get the jobnetID
            final String jobnetid = jobSchedulerContext.getJobnet().getId();
            // To view the jobnetID
            System.err.println(jobnetid);
 
            
            // Processing result:success
            return JobResult.success("The job was executed successfully.");
    }
}